Subject: Re: Splitting a repository but sharing the common parts of the object database

From: Stephen Bash <[email-masked]>
Date: Mon, 13 Dec 2010 14:50:50 -0500 (EST)

----- Original Message -----
> From: "Jonathan Nieder" <[email-masked]>
> To: "Phillip Susi" <[email-masked]>
> Cc: [email-masked]
> Sent: Monday, December 13, 2010 2:20:53 PM
> Subject: Re: Splitting a repository but sharing the common parts of the object database
> Hi Phillip,
> 
> Phillip Susi wrote:
> 
> > If I run a repack -a, then the new project has everything copied out
> > of the archive and into its new main pack, rather than continuing to
> > use the archive repository for old history, and just pack everything
> > since then. I guess I am looking for is somewhere between a full repack
> > and an incremental; a way to make repack -a discard existing local
> > packs, but to respect the alternate packs and omit objects they contain
> > from the new local pack.
> 
> You might be interested in girocco's fork support. See
> http://repo.or.cz/w/girocco.git/blob/HEAD:/jobd/gc.sh for starters.

You might also be interested in Pro Git's entry on git-replace:

  http://progit.org/2010/03/17/replace.html

It's a completely different approach than what you're suggesting, but might open up new and interesting avenues.

Stephen